/************************************************************************
* Code Name:      	Example SAS code for SAS Paper 11520-2016           *
* Description:    	Releasing the Power of SAS into Microsoft SharePoint *
*  SharePoint Library email address: rm_viz@mycompany.com              *
*  Sender email address: myname@mycompany.com                          *
* SAS version: 9.4                                                      *
* Generated on:     March 14th, 2016	                                *
* Generated by:     Xiaogang (Isaac) Tang - Wyndham Destination Network	*
************************************************************************/

/*CODE EXAMPLE 1  HOW TO SEND A SINGLE FILE TO SHAREPOINT*/
proc export data=sashelp.cars 
outfile="/user/&sysuserid./cars.csv"
dbms=csv replace; 
run;

filename outbox email 'nul';
data _null_;    
   file outbox    
             to=("rm_viz@mycompany.com")
             from=("myname@mycompany.com")
			 attach= "/user/&sysuserid./cars.csv"
             subject="SAS table sashelp.cars"
             ;
run;

/*CODE EXAMPLE 2  HOW TO SEND MULITPLE FILES TO SHAREPOINT*/

proc export data=sashelp.cars 
outfile="/user/&sysuserid./cars.csv" 
dbms=csv replace; 
run;

proc export data=sashelp.class 
outfile="/user/&sysuserid./class.csv" 
dbms=csv replace; 
run;

filename outbox email 'nul';
data _null_;    
   file outbox    
             to=("rm_viz@mycompany.com")
             from=("myname@mycompany.com")
			 attach= ("/user/&sysuserid./cars.csv" "/user/&sysuserid./class.csv")
             subject="SAS tables sashelp.cars and sashelp.class";
run;

/*CODE EXAMPLE 3  HOW TO SEND A ZIPPED FILE TO SHAREPOINT*/

proc export data=sashelp.cars 
outfile="/user/&sysuserid./cars.csv" 
dbms=csv replace; 
run;

proc export data=sashelp.attrlookup
outfile="/user/&sysuserid./attrlookup.xlsx" 
dbms=xlsx replace; 
run;

ods package(newzip) open;
ods package(newzip) add file="/user/&sysuserid./cars.csv";
ods package(newzip) add file="/user/&sysuserid./attrlookup.xlsx";
ods package(newzip) publish archive 
  properties(
   archive_name="attrlookup_cars.zip" 
   archive_path="/user/&sysuserid./"
  );
ods package(newzip) close;

filename outbox email 'nul';
data _null_;    
   file outbox    
             to=("rm_viz@mycompany.com")
             from=("myname@mycompany.com")
			 attach= ("/user/&sysuserid./attrlookup_cars.zip")
             subject="zipped file of SAS tables sashelp.attrlookup and sashelp.cars";
run;

/*CODE EXAMPLE 4  HOW TO CREATE A DATA VISUALIZATION ON SHAREPOINT*/

options nolabel;

proc sql;
create table nydj1991 as
select date format=YYMMDD10., round(SNYDJCM,.1) as SNYDJCM
from sashelp.citiday
where year(date) = 1991 and SNYDJCM is not null;
quit;
proc export data=nydj1991 
outfile="/user/&sysuserid./nydj.csv"
dbms=csv replace; 
run;

filename outbox email 'nul';
data _null_;    
   file outbox    
             to=("rm_viz@mycompany.com")
             from=("myname@mycompany.com")
			 attach= "/user/&sysuserid./nydj.csv"
             subject="subset of SAS table sashelp.citiday"
             ;
run;